curl -X PATCH https://api.linquid.io/api/links/link_abc123 \
-H "X-API-Key: lw_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"title": "Updated Title",
"enabled": true,
"tags": ["winter", "sale"]
}'
const response = await fetch('https://api.linquid.io/api/links/link_abc123', {
method: 'PATCH',
headers: {
'X-API-Key': 'lw_your_api_key_here',
'Content-Type': 'application/json',
},
body: JSON.stringify({
title: 'Updated Title',
enabled: true,
tags: ['winter', 'sale'],
}),
});
import requests
response = requests.patch(
'https://api.linquid.io/api/links/link_abc123',
headers={
'X-API-Key': 'lw_your_api_key_here',
'Content-Type': 'application/json',
},
json={
'title': 'Updated Title',
'enabled': True,
'tags': ['winter', 'sale'],
}
)
{
"success": true,
"data": {
"id": "link_abc123",
"shortCode": "abc123",
"shortUrl": "https://linqu.id/abc123",
"destinationUrl": "https://example.com/landing",
"title": "Updated Title",
"enabled": true,
"tags": ["winter", "sale"],
"updatedAt": "2024-01-15T16:00:00.000Z"
}
}
Links and Rules
Update Link
Update an existing link
PATCH
/
api
/
links
/
{linkId}
curl -X PATCH https://api.linquid.io/api/links/link_abc123 \
-H "X-API-Key: lw_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"title": "Updated Title",
"enabled": true,
"tags": ["winter", "sale"]
}'
const response = await fetch('https://api.linquid.io/api/links/link_abc123', {
method: 'PATCH',
headers: {
'X-API-Key': 'lw_your_api_key_here',
'Content-Type': 'application/json',
},
body: JSON.stringify({
title: 'Updated Title',
enabled: true,
tags: ['winter', 'sale'],
}),
});
import requests
response = requests.patch(
'https://api.linquid.io/api/links/link_abc123',
headers={
'X-API-Key': 'lw_your_api_key_here',
'Content-Type': 'application/json',
},
json={
'title': 'Updated Title',
'enabled': True,
'tags': ['winter', 'sale'],
}
)
{
"success": true,
"data": {
"id": "link_abc123",
"shortCode": "abc123",
"shortUrl": "https://linqu.id/abc123",
"destinationUrl": "https://example.com/landing",
"title": "Updated Title",
"enabled": true,
"tags": ["winter", "sale"],
"updatedAt": "2024-01-15T16:00:00.000Z"
}
}
Path Parameters
Request Body
curl -X PATCH https://api.linquid.io/api/links/link_abc123 \
-H "X-API-Key: lw_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"title": "Updated Title",
"enabled": true,
"tags": ["winter", "sale"]
}'
const response = await fetch('https://api.linquid.io/api/links/link_abc123', {
method: 'PATCH',
headers: {
'X-API-Key': 'lw_your_api_key_here',
'Content-Type': 'application/json',
},
body: JSON.stringify({
title: 'Updated Title',
enabled: true,
tags: ['winter', 'sale'],
}),
});
import requests
response = requests.patch(
'https://api.linquid.io/api/links/link_abc123',
headers={
'X-API-Key': 'lw_your_api_key_here',
'Content-Type': 'application/json',
},
json={
'title': 'Updated Title',
'enabled': True,
'tags': ['winter', 'sale'],
}
)
{
"success": true,
"data": {
"id": "link_abc123",
"shortCode": "abc123",
"shortUrl": "https://linqu.id/abc123",
"destinationUrl": "https://example.com/landing",
"title": "Updated Title",
"enabled": true,
"tags": ["winter", "sale"],
"updatedAt": "2024-01-15T16:00:00.000Z"
}
}
Was this page helpful?

